svn commit: r290574 - in stable/10: bin/dd bin/dd/tests contrib/netbsd-tests/bin/dd etc/mtree
Garrett Cooper
ngie at FreeBSD.org
Mon Nov 9 06:50:44 UTC 2015
Author: ngie
Date: Mon Nov 9 06:50:42 2015
New Revision: 290574
URL: https://svnweb.freebsd.org/changeset/base/290574
Log:
MFC r289487:
Integrate contrib/netbsd-tests/bin/dd into the FreeBSD test suite as
bin/dd/tests
Ensure fdescfs is mounted on /dev/fd/ for the length testcase as it's used
in validating the characters read from /dev/zero
Sponsored by: EMC / Isilon Storage Division
Added:
stable/10/bin/dd/tests/
- copied from r289487, head/bin/dd/tests/
Modified:
stable/10/bin/dd/Makefile
stable/10/bin/dd/tests/Makefile
stable/10/contrib/netbsd-tests/bin/dd/t_dd.sh
stable/10/etc/mtree/BSD.tests.dist
Directory Properties:
stable/10/ (props changed)
Modified: stable/10/bin/dd/Makefile
==============================================================================
--- stable/10/bin/dd/Makefile Mon Nov 9 06:30:26 2015 (r290573)
+++ stable/10/bin/dd/Makefile Mon Nov 9 06:50:42 2015 (r290574)
@@ -1,6 +1,8 @@
# @(#)Makefile 8.1 (Berkeley) 5/31/93
# $FreeBSD$
+.include <bsd.own.mk>
+
PROG= dd
SRCS= args.c conv.c conv_tab.c dd.c misc.c position.c
@@ -24,4 +26,8 @@ test: ${PROG} gen
.endfor
@rm -f gen
+.if ${MK_TESTS} != "no"
+SUBDIR+= tests
+.endif
+
.include <bsd.prog.mk>
Modified: stable/10/bin/dd/tests/Makefile
==============================================================================
--- head/bin/dd/tests/Makefile Sun Oct 18 05:49:58 2015 (r289487)
+++ stable/10/bin/dd/tests/Makefile Mon Nov 9 06:50:42 2015 (r290574)
@@ -1,5 +1,10 @@
# $FreeBSD$
+OBJTOP= ${.OBJDIR:H:H:H}
+SRCTOP= ${.CURDIR:H:H:H}
+TESTSRC= ${SRCTOP}/contrib/netbsd-tests/bin/dd
+TESTSDIR= ${TESTSBASE}/bin/dd
+
NETBSD_ATF_TESTS_SH= dd_test
.include <netbsd-tests.test.mk>
Modified: stable/10/contrib/netbsd-tests/bin/dd/t_dd.sh
==============================================================================
--- stable/10/contrib/netbsd-tests/bin/dd/t_dd.sh Mon Nov 9 06:30:26 2015 (r290573)
+++ stable/10/contrib/netbsd-tests/bin/dd/t_dd.sh Mon Nov 9 06:50:42 2015 (r290574)
@@ -44,6 +44,12 @@ length_head() {
"the one expected to fail. (NetBSD PR bin/8521)"
}
length_body() {
+ # Begin FreeBSD
+ if ! df /dev/fd | grep -q '^fdescfs'; then
+ atf_skip "fdescfs is not mounted on /dev/fd"
+ fi
+ # End FreeBSD
+
test_dd_length 512 \
"dd if=/dev/zero of=/dev/fd/5 count=1 5>&1 >/dev/null 2>/dev/null"
test_dd_length 512 \
Modified: stable/10/etc/mtree/BSD.tests.dist
==============================================================================
--- stable/10/etc/mtree/BSD.tests.dist Mon Nov 9 06:30:26 2015 (r290573)
+++ stable/10/etc/mtree/BSD.tests.dist Mon Nov 9 06:50:42 2015 (r290574)
@@ -10,6 +10,8 @@
..
date
..
+ dd
+ ..
expr
..
ls
More information about the svn-src-stable
mailing list